Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Oct 2019 23:06:45 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 16 Oct 2019 22:52:35 +0300
> 
> This is a useful feature, but for backward-compatibility perhaps
> it should be optional

We could do that, but then the feature will mostly make no sense.

> i.e. the meaning of ':extend t' could be reversed, then we could
> find and fix all default faces where this new feature is needed.

Based on what I saw until now, we will never be able to agree on what
faces need this.

> > (It's a pity that the long discussion of this before the development
> > started went without any such objections from the people who are
> > regulars on emacs-devel.)
> 
> I had no objections because I thought that the discussed feature is opt-in,

The main reason for the discussion was that the extension is annoying
and in most cases should be disabled.  That's how the discussion
started.  That's what other applications do.

> i.e. I thought that optional ':extend t' means extend to EOL.

That's exactly what was implemented.